manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Arcadius Ahouansou (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CONNECTORS-938) Jetty 7.5 does not work with JDK 8, try upgrading to jetty 8
Date Sun, 18 May 2014 21:31:39 GMT

    [ https://issues.apache.org/jira/browse/CONNECTORS-938?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14001218#comment-14001218
] 

Arcadius Ahouansou commented on CONNECTORS-938:
-----------------------------------------------

Earlier today, I got the latest code from trunk and I was looking into upgrading Jetty to
9.1.5.v20140505

- I've noticed that Jetty 9.1.5.v20140505 no longer rely on Jasper+ecj

- Java8 now include java.util.Base64 which clashes with the implementation in MCF. So I have
to provide full package name to make org.apache.manifoldcf.core.keystore.KeystoreManager compile
on JDK8

- JSP/Servlet API versions have in Jetty 9

I have changed jar versions in the root build.xml.

Despite removing ecj/jasper from build.xml, I still get them in the apache-manifoldcf-1.7-dev-bin.zip
I build.
So, apparently, I am doing something wrong here :-)



> Jetty 7.5 does not work with JDK 8, try upgrading to jetty 8
> ------------------------------------------------------------
>
>                 Key: CONNECTORS-938
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-938
>             Project: ManifoldCF
>          Issue Type: Bug
>          Components: Framework crawler agent
>    Affects Versions: ManifoldCF 1.6
>            Reporter: Karl Wright
>            Assignee: Karl Wright
>             Fix For: ManifoldCF 1.7
>
>
> Jetty 7.5 does not work with JDK 8; jsp's don't compile.  Try upgrading to jetty 8.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message